# -- coding: utf-8 --
"""
Created on Wed Apr  8 17:53:04 2020
@author: Klaus Reinold
"""

#Aufgabe 2
from graphics_and_games_klassen import Turtle

class ParkettTurtle(Turtle):
    """
    Die Turtle legt Parkettböden.
    """
    
    def __init__(self):
        """
        Der Konstruktor positioniert die Turtle
        """    
        super().__init__()
        self.GanzNachVornBringen()
        self.PositionSetzen(10,15)
        self.StiftSenken()
        
    def ParallelogrammRotZeichnen(self):
        """
        Zeichnet ein rotes Parallelogrammelement
        """    
        self.FarbeSetzen("blau")
        self.ParallelogrammZeichnen()
        
    def ParallelogrammGrünZeichnen(self):
        """
        Zeichnet ein grünes Parallelogrammelement
        """    
        self.FarbeSetzen("grün")
        self.ParallelogrammZeichnen()
        
    def ParallelogrammZeichnen(self):
        """
        Zeichnet ein Parallelogrammelement in der eingestellten Farbe
        """   
        #vor
        self.Gehen(10)
        #zurück
        self.Drehen(90)
        self.Gehen(1)
        self.Drehen(90)
        self.Gehen(9)
        self.Drehen(180)
        #vor
        self.Gehen(10)
        #zurück
        self.Drehen(90)
        self.Gehen(1)
        self.Drehen(90)
        self.Gehen(9)
        self.Drehen(180)
        #vor
        self.Gehen(10)
        #zurück
        self.Drehen(90)
        self.Gehen(1)
        self.Drehen(90)
        self.Gehen(9)
        self.Drehen(180)
        #vor
        self.Gehen(10)
        #zurück
        self.Drehen(90)
        self.Gehen(1)
        self.Drehen(90)
        self.Gehen(9)
        self.Drehen(180)
        #vor
        self.Gehen(10)
        #zurück
        self.Drehen(90)
        self.Gehen(1)
        self.Drehen(90)
        self.Gehen(9)
        self.Drehen(180)
        self.Gehen(4)
        self.Drehen(-90)
        self.Gehen(5)
        self.Drehen(90)
        
    def GrünRotReiheLegen(self):
        """
        Legt eine Reihe aus grünen und roten Elementen
        """    
        while self.XPositionGeben()<700:
            self.ParallelogrammGrünZeichnen()
            self.ParallelogrammRotZeichnen()
        self.Drehen(180)
        self.StiftHeben()
        while self.XPositionGeben()>10:
            self.Gehen(1)
        self.Drehen(90)
        self.Gehen(5)
        self.Drehen(90)
        self.StiftSenken()
        
    def RotGrünReiheLegen(self):
        """
        Legt eine Reihe aus roten und grünen Elementen
        """    
        while self.XPositionGeben()<700:
           self. ParallelogrammRotZeichnen()
           self.ParallelogrammGrünZeichnen()
        self.Drehen(180)
        self.StiftHeben()
        while self.XPositionGeben()>10:
            self.Gehen(1)
        self.Drehen(90)
        self.Gehen(5)
        self.Drehen(90)
        self.StiftSenken()
        
    def ParkettLegen(self):
        """
        Legt das Parkett über die ganze Zeichenfläche
        """    
        while self.YPositionGeben()<500:
            self.GrünRotReiheLegen()
            self.RotGrünReiheLegen()
            
t=ParkettTurtle() 
t.ParkettLegen()