# -- coding: utf-8 --
"""
Created on Wed Apr  8 17:53:04 2020
@author: Klaus Reinold
"""

from graphics_and_games_klassen import Figur

class Monster(Figur):
    """
    Verwaltet das Monster
    """
    
    def GeschlossenGelb(self):
        """
        Stellt das gelb gefärbte Monster mit geschlossenem Mund dar.
        """    
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenEllipse(-50, -50, 100, 100, "gelb")
        self.FigurteilFestlegenRechteck(0, -2, 50, 4, "schwarz")
        self.FigurteilFestlegenEllipse(10, -40, 20, 20, "schwarz")
        
    def GeschlossenOrange(self):
        """
        Stellt das orange gefärbte Monster mit geschlossenem Mund dar.
        """    
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenEllipse(-50, -50, 100, 100, "orange")
        self.FigurteilFestlegenRechteck(0, -2, 50, 4, "schwarz")
        self.FigurteilFestlegenEllipse(10, -40, 20, 20, "schwarz")
        
    def GeschlossenRot(self):
        """
        Stellt das rot gefärbte Monster mit geschlossenem Mund dar.
        """   
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenEllipse(-50, -50, 100, 100, "rot")
        self.FigurteilFestlegenRechteck(0, -2, 50, 4, "schwarz")
        self.FigurteilFestlegenEllipse(10, -40, 20, 20, "schwarz")
        
    def GeschlossenGrün(self):
        """
        Stellt das grün gefärbte Monster mit geschlossenem Mund dar.
        """    
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenEllipse(-50, -50, 100, 100, "grün")
        self.FigurteilFestlegenRechteck(0, -2, 50, 4, "schwarz")
        self.FigurteilFestlegenEllipse(10, -40, 20, 20, "schwarz")
        
    def Offen(self, farbe):
        """
        Stellt das Monster in der angegebenen Farbe mit offenem Mund dar.
        -- Parameter farbe die gewünschte Farbe
        """    
        self.EigeneFigurLoeschen()
        self.FigurteilFestlegenEllipse(-50, -50, 100, 100, farbe)
        self.FigurteilFestlegenDreieck(0, 0, 50, -10, 50, 10, "schwarz")
        self.FigurteilFestlegenEllipse(10, -40, 20, 20, "schwarz")
    # Hier fehlen die Methoden zum Schließen und Öffnen.
    
m = Monster()
m.GeschlossenGrün()
