# -- coding: utf-8 --
"""
Created on Wed Apr  8 17:53:04 2020
@author: Klaus Reinold
"""

from graphics_and_games_klassen import Figur, Rechteck

class Chamaeleon(Figur):
    """
    Beschreibt ein Chamäleon.
    """
    
    def __init__(self):
        """
        Legt das Chamäleon in der Farbe grün an.
        """    
        super().__init__()
        self.GruenSetzen()
        
    def GruenSetzen(self):
        """
        Erzeugt die grüne Chamäleon-Figur
        """   
        self.FigurteilFestlegenDreieck(-50, 25, 25, -15, 25, 10, "grün")
        self.FigurteilFestlegenDreieck(25, -15, 50, 10, 25, 10, "grün")
        self.FigurteilFestlegenRechteck(-10, 5, 10, 30, "grün")
        self.FigurteilFestlegenRechteck(15, 0, 10, 35, "grün")
        self.FigurteilFestlegenDreieck(25, 25, 35, 35, 25, 35, "grün")
        self.FigurteilFestlegenEllipse(25, -5, 8, 8, "rot")
        
    def BlauSetzen(self):
        """
        Erzeugt die blaue Chamäleon-Figur
        """  
        self.FigurteilFestlegenDreieck(-50, 25, 25, -15, 25, 10, "blau")
        self.FigurteilFestlegenDreieck(25, -15, 50, 10, 25, 10, "blau")
        self.FigurteilFestlegenRechteck(-10, 5, 10, 30, "blau")
        self.FigurteilFestlegenRechteck(15, 0, 10, 35, "blau")
        self.FigurteilFestlegenDreieck(25, 25, 35, 35, 25, 35, "blau")
        self.FigurteilFestlegenEllipse(25, -5, 8, 8, "rot")
        
    def RotSetzen(self):
        """
        Erzeugt die rote Chamäleon-Figur
        """    
        self.FigurteilFestlegenDreieck(-50, 25, 25, -15, 25, 10, "rot")
        self.FigurteilFestlegenDreieck(25, -15, 50, 10, 25, 10, "rot")
        self.FigurteilFestlegenRechteck(-10, 5, 10, 30, "rot")
        self.FigurteilFestlegenRechteck(15, 0, 10, 35, "rot")
        self.FigurteilFestlegenDreieck(25, 25, 35, 35, 25, 35, "rot")
        self.FigurteilFestlegenEllipse(25, -5, 8, 8, "orange")
        
    def SchwarzSetzen(self):
        """
        Erzeugt die schwarze Chamäleon-Figur
        """    
        self.FigurteilFestlegenDreieck(-50, 25, 25, -15, 25, 10, "schwarz")
        self.FigurteilFestlegenDreieck(25, -15, 50, 10, 25, 10, "schwarz")
        self.FigurteilFestlegenRechteck(-10, 5, 10, 30, "schwarz")
        self.FigurteilFestlegenRechteck(15, 0, 10, 35, "schwarz")
        self.FigurteilFestlegenDreieck(25, 25, 35, 35, 25, 35, "schwarz")
        self.FigurteilFestlegenEllipse(25, -5, 8, 8, "rot")
    ## Hier müssen die Methoden zum Umfärben des Chamäleons ergänzt werden.
        
r = Rechteck()   
c = Chamaeleon()
